Bug 5029 - gqview defaults could be enhanced
: gqview defaults could be enhanced
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gqview)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-08-20 10:21 by
Modified: 2005-08-30 02:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-20 10:21:44
Возможно, стоит поправить умолчания вдоль этого обсуждения:

Victor Wagner -> Andrey Slusar  @ Thu, 19 Aug 2004 14:55:14 +0000 (UTC):

 AS>>   Я в gqview не нашел, как сохранить масштабирование на определенный
 AS>> размер. Есть коллекция картинок с разным размером и их надо просмотреть
 AS>> в определенном размере окна, т.е. чтоб gqview их масштабировал в этот
 AS>> размер. Как это можно сделать? Или совсем нельзя? Hадоело руками

 VW> Правка/Конфигурация/Изображение/При выборе нового
 VW> изображения/Масштабировать к размеру окна.

 VW> Это именно тот режим, который я у себя держу по умолчанию.

 VW> Какая биологическая жидкость ударила в голову авторам, что они по
 VW> умолчанию сделали режим "пиксел в пиксел" не знаю.

 VW> Хотя я бы, вероятно, предпочел режим "если картинка меньше окна,
 VW> показывать 1:1, а если больше - масштабировать к размеру окна".
 VW> Собственно ровно это делает xv меняя размер окна при смене картинки.

Хинт: gqview тоже так делает.  Если вместе с этой настройкой включить
подстройку размера окна под размер картинки.  Как, собственно, у меня и
сделано.

--
Artem Chuprina
------- Comment #1 From 2004-08-20 10:28:47 -------
Принято. давно хотел так сделать, но вот как раз баги и не хватало ;-)
------- Comment #2 From 2004-08-23 02:05:03 -------
Valentin Nechayev <netch segfault kiev ua>, там же (fido7.ru.linux):

Вообще, идеальным дефолтом было бы что-то следующего типа: "если размер
картинки менее 1/4 экрана, растягивать; если более экрана - сжимать".
Показ 8x8 так чтобы лупу надо было доставать - тоже вредно.
------- Comment #3 From 2004-09-07 14:16:05 -------
fixed (gqview-1.4.3-alt2)
------- Comment #4 From 2005-08-30 02:21:57 -------
closing
------- Comment #5 From 2005-08-30 02:32:06 -------
closing